Skip to content
Get startedWebsite

List accounts

GET/api/v1/accounts

List accounts

Query ParametersExpand Collapse
user_id: string
formatuuid
ReturnsExpand Collapse
id: string
formatuuid
account_number: string
account_type: "checking" or "saving"
One of the following:
"checking"
"saving"
balance: string
currency: string
environment: string
status: "active" or "suspended" or "closed"
One of the following:
"active"
"suspended"
"closed"
user_id: string
formatuuid
admin_user_id: optional string
formatuuid
created_at: optional string
formatdate-time
organization_id: optional string
formatuuid
updated_at: optional string
formatdate-time
user_role: optional string

List accounts

curl https://accounts-service-staging.up.railway.app/api/v1/accounts \
    -H "X-API-Key: $RAILS_API_KEY"
[
  {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "account_number": "account_number",
    "account_type": "checking",
    "balance": "balance",
    "currency": "currency",
    "environment": "environment",
    "status": "active",
    "user_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "admin_user_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "user_role": "user_role"
  }
]
Returns Examples
[
  {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "account_number": "account_number",
    "account_type": "checking",
    "balance": "balance",
    "currency": "currency",
    "environment": "environment",
    "status": "active",
    "user_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "admin_user_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "user_role": "user_role"
  }
]